package com.sun.xml.internal.ws.developer;

import javax.xml.bind.JAXBException;
import com.sun.xml.internal.bind.api.JAXBRIContext;
import com.sun.xml.internal.bind.api.TypeReference;
import java.util.List;
import com.sun.istack.internal.NotNull;
import com.sun.xml.internal.ws.api.model.SEIModel;

public interface JAXBContextFactory
{
    public static final JAXBContextFactory DEFAULT = new JAXBContextFactory() {
        @NotNull
        @Override
        public JAXBRIContext createJAXBContext(@NotNull SEIModel sei, @NotNull List<Class> classesToBind, @NotNull List<TypeReference> typeReferences) throws JAXBException {
            return JAXBRIContext.newInstance((Class[])classesToBind.toArray(new Class[classesToBind.size()]), typeReferences, null, sei.getTargetNamespace(), false, null);
        }
    };
    
    @NotNull
    public abstract JAXBRIContext createJAXBContext(@NotNull SEIModel p0, @NotNull List<Class> p1, @NotNull List<TypeReference> p2) throws JAXBException;
}
